if status is-interactive
    # Commands to run in interactive sessions can go here
end

set -U fish_greeting ""

#cd tweaks - multicd
function multicd
    echo cd (string repeat -n (math (string length -- $argv[1]) - 1) ../)
end
abbr --add dotdot --regex '^\.\.+$' --function multicd

#double bang !!

function last_history_item
    echo $history[1]
end
abbr -a !! --position anywhere --function last_history_item


# pyenv init
if command -v pyenv 1>/dev/null 2>&1
  pyenv init - | source
end

starship init fish | source
